#
# TODO:
#	- build and package the 'tests' (sample programs)
#		should be conditional, as adds BR!
#
%define	subver	pre20
%define	rel	2
Summary:	DSP functions for telephony
Summary(pl.UTF-8):	Funkcje DSP dla telefonii
Name:		spandsp
Version:	0.0.6
Release:	0.%{subver}.%{rel}
Epoch:		1
License:	LGPL v2.1
Group:		Libraries
Source0:	http://www.soft-switch.org/downloads/spandsp/%{name}-%{version}%{subver}.tgz
# Source0-md5:	9bdf1d027f1b5dc5e622d707fa1634cb
URL:		http://www.soft-switch.org/
BuildRequires:	audiofile-devel
BuildRequires:	automake
BuildRequires:	doxygen
BuildRequires:	fftw-devel
BuildRequires:	libtiff-devel
BuildRequires:	libxml2-devel
BuildRequires:	libxslt-progs
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
spandsp is a library which provides many of the DSP functions needed
for telephony. It is designed to be independent of the telephony
platform itself.

%description -l pl.UTF-8
spandsp to biblioteka udostępniająca wiele funkcji DSP potrzebnych dla
telefonii. Jest zaprojektowana tak, by była niezależna od samej
platformy telefonicznej.

%package devel
Summary:	Header files to develop applications using spandsp
Summary(pl.UTF-8):	Pliki nagłówkowe do tworzenia aplikacji używających spandsp
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	libtiff-devel

%description devel
Header files for the spandsp library.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla biblioteki spandsp.

%package static
Summary:	Static spandsp library
Summary(pl.UTF-8):	Statyczna biblioteka spandsp
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
Static spandsp library.

%description static -l pl.UTF-8
Statyczna biblioteka spandsp.

%prep
%setup -q

%build
install /usr/share/automake/config.* config
%configure \
	--disable-tests \
%ifarch athlon pentium3 pentium4
	--enable-mmx \
%endif
%ifarch pentium3 pentium4
	--enable-sse \
%endif
	--enable-doc
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README NEWS AUTHORS ChangeLog
%attr(755,root,root) %{_libdir}/libspandsp.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libspandsp.so.2

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libspandsp.so
%{_libdir}/libspandsp.la
%{_includedir}/spandsp
%{_includedir}/spandsp.h
%{_pkgconfigdir}/spandsp.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libspandsp.a
%changelog
* Sat Jul 20 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/spandsp.git;a=log;h=master

* Sat Mar 03 2012 Jakub Bogusz <qboosh@pld-linux.org> baecf19
- updated to 0.0.6pre20

* Fri Jan 13 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 576f295
- rel 2

* Mon Apr 04 2011 Jacek Konieczny <jajcus@pld-linux.org> 61f25af
- disable 'tests' building (these are not automated code tests) – these only
  added insane build dependencies for nothing in the RPM

* Sat Apr 02 2011 zbyniu <zbyniu@pld-linux.org> 505ec16
- up to 0.0.6pre18

* Sun Jul 05 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 76c216f
- drop obsolete files

* Sat May 16 2009 hawk <hawk@pld-linux.org> 47cd7b6
- updated to 0.0.6pre12

* Fri Apr 10 2009 Jakub Bogusz <qboosh@pld-linux.org> 64b026a
- more verbose files, ghost soname symlink
- devel dep

* Sun Mar 08 2009 duddits <duddits@pld-linux.org> a12247a
- up to 0.0.6pre5
- BR: pkgconfig
- more %files

* Tue Jun 24 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 281381c
- up to 0.0.5 pre5

* Sun Jun 22 2008 areq <areq@pld-linux.org> e81f3ae
- fix empty log

* Sun Jun 22 2008 areq <areq@pld-linux.org> 41b2f9d
- 0.0.5pre3

* Sat Apr 05 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 760db41
- up to pre18

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 5c0e623
- up to pre16

* Wed Oct 31 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> e93d03e
- pre 11

* Fri Sep 21 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> eae2d60
- BR doxygen

* Fri Sep 21 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 46a3fa4
- more BR

* Wed Sep 19 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 9d2241e
- up to pre9

* Mon Sep 17 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 8975ae4
- up to pre8

* Sun Jul 22 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 5d300f5
- up to 0.0.4 pre3

* Thu Apr 26 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 1dfa7a0
- up to 0.0.4 pre1

